<?php

// ---------------------------------------------------------------
// Fonction qui retourne un tableau avec la liste des applications
// disponibles pour l'intranet des utilisateurs.
//
// par exemple
// $tab = ListeApplications();
// $tab[0]["title"] : Titre de l'application, exemple "NoMail"
// $tab[0]["url"]   : URL pour l'application, exemple "/cgi-bin/neomail/pl"
// $tab[0]["desc"]  : Description, exemple "NoMail est le logiciel de courriel pour l'in..."
function ListeApplications() {
  $fichier = "listeapplications";
  $fp = fopen($fichier,"r");
  if($fp = @fopen($fichier,"r")){
    $i = 0;
    while(!feof($fp)){
      $ligne = fgetcsv($fp,"1024","=");
      if($ligne[0] == "TITLE") {
        if($retour[$i]["title"] != "")
          $i++;
        $retour[$i]["title"] = $ligne[1];
      }
      else if($ligne[0] == "URL")
        $retour[$i]["url"] = $ligne[1];
      else if($ligne[0] == "DESC") {
        $desc = explode("!",$ligne[1]);
        $retour[$i]["desc"][$desc[0]] = $desc[1];
      }
    }
    fclose($fp);
  }
  return $retour;
}

?>
<html>
<head>
<title>Serveur web local</title>
</head>
<body bgcolor="#e9e2d7">
<table width="580" border="0" bgcolor="#f2f1e7" align="center" cellspacing="10" cellpadding="5">
<tr>
  <td>
    <center><img src="images/majilux1.png"></center>
    <center><h1>Pour acceder aux services de</h1></center>
    <p></p>

    <center><h1>votre serveur Web local</h1></center>
    <table border="0" width="550">
     <tr bgcolor="#f4d74e">
       <th width="150">Outil</th>
       <th width="400">Description</th>
     </tr>
<?php
$tab = ListeApplications();

for($i = 0; $i < count($tab); $i++) {
  $addresse = $tab[$i]["url"];
  $titre = $tab[$i]["title"];
  $description = $tab[$i]["desc"]["fr"];
  print "     <tr bgcolor=\"#EEEEEE\">
       <td><a href=\"$addresse\">$titre</a></td>
       <td>$description</td>
     </tr>\n";
}
?>
     </table>
    </td>
</tr>
</table>
</body>
</html>
